
  CREATE OR REPLACE FORCE EDITIONABLE VIEW "IGOPS"."SUSER_SPERMISSION_CERT_RISK_V" ("SUSER_ID", "CERTIFICATION_COUNT", "IS_CERTIFIED", "CERTIFICATION_PENDING", "AGGREGATE_PERMISSION_RISK") AS 
  SELECT DISTINCT suser.id AS suser_id,
    ( SELECT count(spermissions_1.suser)  count
           FROM adhoc_apps_spermissions_v spermissions_1
          WHERE spermissions_1.suser = suser.id AND spermissions_1.last_certification IS NOT NULL)  certification_count,
        CASE
            WHEN spermissions.is_certified IS NULL THEN 0
            ELSE spermissions.is_certified
        END  is_certified,
        CASE
            WHEN spermissions.certification_pending IS NULL THEN 0
            ELSE spermissions.certification_pending
        END  certification_pending,
  
                CASE
                    WHEN sum(spermissions.permission_risk) IS NULL THEN 0
                    ELSE sum(spermissions.permission_risk)
                END   aggregate_permission_risk
   FROM suser
     LEFT JOIN adhoc_apps_spermissions_v spermissions ON spermissions.suser = suser.id
  WHERE suser.deleted = 0 AND suser.effective = 1
  GROUP BY suser.id, spermissions.is_certified, spermissions.certification_pending;


    GRANT SELECT ON IGOPS.SUSER_SPERMISSION_CERT_RISK_V TO igrptuser;
CREATE OR REPLACE PUBLIC SYNONYM SUSER_SPERMISSION_CERT_RISK_V FOR IGOPS.SUSER_SPERMISSION_CERT_RISK_V;