
CREATE OR REPLACE VIEW public.adhoc_suser_v AS 
 SELECT suser.id,
    suser.deleted,
    suser.department,
    suser.display_description,
    suser.display_name,
    suser.dn,
    suser.effective,
    suser.employee_status,
    suser.employee_type,
    suser.first_name,
    suser.full_name,
    suser.guid,
    suser.home_phone,
    suser.idm_dn,
    suser.idm_tree_name,
    suser.is_curated,
    suser.job_code,
    suser.job_title,
    suser.last_name,
    suser.location,
    suser.merged,
    suser.middle_name,
    suser.office_phone,
    suser.other_phone,
    suser.preferred_locale,
    suser.provisioning_id,
    suser.secondary_supervisor_id,
    suser.supervisor_attr_key,
    suser.supervisor_id,
    suser.supervisor_unique_id,
    suser.unique_user_id,
    suser.user_id,
    suser.business_unit,
    suser.collected_entity,
    suser.effective_entity,
    suser.identity_source,
    suser.sversion,
    suser.workforce_id,
    suser_email.email,
    suser.risk,
    cert_risk.certification_count,
    cert_risk.is_certified,
    cert_risk.certification_pending,
    cert_risk.aggregate_permission_risk,
    string_agg(perm.name::text, ' | '::text) AS all_permissions,
    brole.name AS business_role,
    brole.description AS brole_description,
    brole.risk AS brole_risk,
    brole.update_time AS brole_update_time
   FROM suser
     LEFT JOIN suser_email ON suser.id = suser_email.suser
     LEFT JOIN spermission perm ON (EXISTS ( SELECT suser_account_permission.suser
           FROM suser_account_permission
          WHERE suser.id = suser_account_permission.suser)) AND perm.deleted = false AND perm.effective = true
     LEFT JOIN suser_spermission_cert_risk_v cert_risk ON suser.id = cert_risk.suser_id
     LEFT JOIN business_role brole ON (EXISTS ( SELECT br_memb.business_role_id
           FROM business_role_incl_memb br_memb
          WHERE suser.unique_user_id::text = br_memb.unique_member_id::text AND br_memb.is_user = true AND br_memb.business_role_id = brole.id))
  WHERE suser.deleted = false AND suser.effective = true
  GROUP BY suser.id, suser.deleted, suser.department, suser.display_description, brole.name, brole.description, brole.risk, brole.update_time, suser.display_name, suser.dn, suser.effective, suser.employee_status, suser.employee_type, suser.first_name, suser.full_name, suser.guid, suser.home_phone, suser.idm_dn, suser.idm_tree_name, suser.is_curated, suser.job_code, suser.job_title, suser.last_name, suser.location, suser.merged, suser.middle_name, suser.office_phone, suser.other_phone, suser.preferred_locale, suser.provisioning_id, suser.secondary_supervisor_id, suser.supervisor_attr_key, suser.supervisor_id, suser.supervisor_unique_id, suser.unique_user_id, suser.user_id, suser.business_unit, suser.collected_entity, suser.effective_entity, suser.identity_source, suser.sversion, suser.workforce_id, suser_email.email, cert_risk.certification_count, cert_risk.is_certified, cert_risk.certification_pending, cert_risk.aggregate_permission_risk;

ALTER TABLE public.adhoc_suser_v
  OWNER TO igops;
GRANT ALL ON TABLE public.adhoc_suser_v TO igops;
GRANT SELECT ON TABLE public.adhoc_suser_v TO ig_report_role;
